import java.awt.*;
import symantec.itools.awt.*;
import symantec.itools.awt.shape.*;

public class RootProcButton extends symantec.itools.awt.ImageButton {
    private String formalParams;
    private String procBody;
    private int bodyColor;

    public RootProcButton(String fmParams, String procContent, int contentColor) {
        contentColor %= 16;
        formalParams = fmParams;
        procBody = procContent;
        bodyColor = contentColor;
    }

    public boolean action(Event evt, Object what) {
        ProcedureDialog procDialog = new ProcedureDialog(formalParams, procBody, bodyColor);
	    procDialog.show();
        return true;
    }
}

