(define compose
  (lambda (f g)
    (lambda (x)
      (f (g x)))))

(define add2
  (lambda (n)
    (+ n 2)))

(define times4
  (lambda (n)
    (* n 4)))

(display (list '!H
"This example demonstrates first class
 procedures:
 0. To see the source code press Source.
 1. Enter ((compose add2 times4) 3) in the 
    Instruction area followed by submitting it.
 2. Press Step followed by pressing Tree many
    times until 14 is returned.
"))
(display (list '!U "
(define compose
  (lambda (f g)
    (lambda (x)
      (f (g x)))))
(define add2
  (lambda (n)
    (+ n 2)))
(define times4
  (lambda (n)
    (* n 4)))
"))	


