(define out 1)
(define in 1)

(define fac-it
  (lambda (m)
    (set! in m)
    (set! out 1)
    (goto-fac)))

(define goto-fac
  (lambda ()
    (if (= in 0)
        out
        (begin
          (set! out (* in out))
          (set! in (- in 1))
          (goto-fac)))))

(display (list '!H
"This example demonstrate iterative
 using tail recursive procedures:
 0. To see the source code press Source.
 1. Enter (fac-it 3) in the Instruction
    area and submitting it.
 2. Enter goto-fac in the Break Point
    area followed by pressing Set.
 3. Press Run or Tree interleaved with
    Recycle a few times to see evaluating
    iterative procedures do not require
    allocating additional frames."))
(display (list '!U "
(define out 1)
(define in 1)
(define fac-it
  (lambda (m)
    (set! in m)
    (set! out 1)
    (goto-fac)))
(define goto-fac
  (lambda ()
    (if (= in 0)
        out
        (begin
          (set! out (* in out))
          (set! in (- in 1))
          (goto-fac)))))
"))			
			
			
